JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
ZipFile::ZipEntry Struct Reference
juce_core » zip

Contains information about one of the entries in a ZipFile. More...

`#include <juce_ZipFile.h>`

## Public Attributes
String | filename
| The name of the file, which may also include a partial pathname.
int64 | uncompressedSize
| The file's original size.
Time | fileTime
| The last time the file was modified.
bool | isSymbolicLink
| True if the zip entry is a symbolic link.
uint32 | externalFileAttributes
| Platform specific data.

## Detailed Description

Contains information about one of the entries in a ZipFile.

See also
  ZipFile::getEntry

## Member Data Documentation

## ◆ filename

String ZipFile::ZipEntry::filename

The name of the file, which may also include a partial pathname.

## ◆ uncompressedSize

int64 ZipFile::ZipEntry::uncompressedSize

The file's original size.

## ◆ fileTime

Time ZipFile::ZipEntry::fileTime

The last time the file was modified.

## ◆ isSymbolicLink

bool ZipFile::ZipEntry::isSymbolicLink

True if the zip entry is a symbolic link.

## ◆ externalFileAttributes

uint32 ZipFile::ZipEntry::externalFileAttributes

Platform specific data.

Depending on how the zip file was created this may contain macOS and Linux file types, permissions and setuid/setgid/sticky bits.

The documentation for this struct was generated from the following file:

- juce_ZipFile.h